version: '3.5'

# backup volume
# docker run --rm --volumes-from dbstore -v $(pwd):/backup ubuntu tar cvf /backup/backup.tar /dbdata


services:
 db_mariadb:
  image: mariadb
  container_name: db_mariadb
  ports:
   - "3306:3306"
  restart: always
  environment:
    MYSQL_ROOT_PASSWORD: example
    MYSQL_USER: root
    MYSQL_PASSWORD: example
    MYSQL_DATABASE: DPO_REPO
    TZ: Asia/Bangkok
  command:
      - mysqld
      - "--character-set-server=utf8"
      - "--collation-server=utf8_general_ci"
      - "--default-time-zone=+07:00"      
  # volumes:
  #     - db_data:/var/lib/mysql
      # - /D/Workspace/DPO_Robot_L1/Docker/all_stack/setup.sql:/docker-entrypoint-initdb.d
  # deploy:
  #  resources:
  #   limits:
  #     cpus: '0.70'
  #     memory: 512M
  #   reservations:
  #     cpus: '0.5'
  #     memory: 256M    
  # healthcheck:
  #  test: ["CMD", "curl", "-f", "http://localhost:8080/"]
  #  interval: 10s
  #  timeout: 5s
  #  retries: 3
  #  start_period: 30s

  
 db_vertica:
  image: kul1977/vertica_udx
  container_name: db_vertica
  ports:
   - "5433:5433"
  restart: always
  healthcheck:
   test: ["CMD", "/opt/vertica/bin/vsql", "-U", "dbadmin", "-w", "dbadmin", "-c", "select * from nodes;"]
   interval: 60s
   timeout: 120s
   retries: 5
   start_period: 60s

 db_etl_linux:
  # image: kul1977/linux_test:latest
  image: kul1977/auto_deploy_etl:latest
  container_name: d_etl_dpolab
  # build: 
  #   context: .
  #   dockerfile: ../etl/Dockerfile
  ports:
   - "2244:22"
  restart: always   
  depends_on:
    - db_mariadb
    - db_vertica
  # command: 
    # - /jenkins/run_agent.sh
  volumes:
  #  - /dpo/TOP_CWP/crude_flex/Monitor/etl:/etl
   - /D/Workspace/Auto_Deploy/ServerETL/gfs_landing:/ori_gfs_landing

 db_sis_linux:
  # image: kul1977/linux_test:latest
  image: kul1977/auto_deploy_etl:latest
  container_name: d_sis_dpolab
  # build: 
  #   context: .
  #   dockerfile: ../etl/Dockerfile
  ports:
    - "2255:22"
  restart: always   
  depends_on:
    - db_mariadb
    - db_vertica
  # command: 
    # - /jenkins/run_agent.sh
  volumes:
  #  - /dpo/TOP_CWP/crude_flex/Monitor/etl:/etl
    - /D/Workspace/Auto_Deploy/ServerETL/gfs_landing:/ori_gfs_landing

#  dashboard_grafana:
#   image: grafana/grafana
#   container_name: grafana
#   ports:
#     - "3000:3000"
#   restart: always
#   depends_on:
#     - db_mariadb    
#     - db_etl_linux 
#     - etl_prometheus
#   # environment:
#     # TZ: Asia/Bangkok
#     # GF_INSTALL_PLUGINS: grafana-clock-panel,grafana-simple-json-datasource
#   # volumes:
#   #   - $PWD/grafana_data:/var/lib/grafana
#   #   - $PWD/certs:/certs

#  etl_prometheus:
#   image: prom/prometheus:v2.1.0
#   container_name: prometheus
#   volumes:
#     # - ./prometheus/:/etc/prometheus/
#     - prometheus_data:/prometheus
#   command:
#     - '--config.file=/etc/prometheus/prometheus.yml'
#     - '--storage.tsdb.path=/prometheus'
#     - '--web.console.libraries=/usr/share/prometheus/console_libraries'
#     - '--web.console.templates=/usr/share/prometheus/consoles'
#   ports:
#     - 9090:9090
      # links:
      #   - cadvisor:cadvisor
      #   - alertmanager:alertmanager
  #      - pushgateway:pushgateway
      # depends_on:
        # - cadvisor
  #      - pushgateway
  # networks:
  #   - back-tier
  # restart: always

# networks:
#   front-tier:
#   back-tier:

volumes:
    db_data:
    prometheus_data: {}
